%ext ck1

%patchfile 0x130F8 lego.tli

# The two lines below are not part of the original Lego Keen patching...
%patch $4F43 $31 $C0 $A3 $9E $AA $A3 $A0 $AA $A3 $A2 $AA $A3 $A4 $AA $A3 $9A $AA $A3 $C8 $AA $90 $90 $90 $90 $90 $90 $90
%patch $8041 $90 $90 $90 $90

#Teleporter 2 Location Change
%patch $158e9  $90 $02 
%patch $158ed  $e0 $00  

#Disable Items Cheat
%patch $11F5  $2C $50 
%patch $11FC  $2C $50 
%patch $1203  $2C $50  
          

#Level Hint 2
%level.hint 2
These are models of 
the gems that will 
unlock the princess' 
cell. Too bad you
can't just take
these ones... heh.

#Level Hint 6
%level.hint 6
OOPS! You've fallen
into a well.

No Exit Door here.
Looks like you're
stuck.

#Level Hint 10
%level.hint 10
Have you been to 
the eastern complex
yet? I hear it has
a helicopter in it!

#Level Hint 11
%level.hint 11
You found a pogo
stick! Now you can
jump higher! Press
ALT to try it out!

#Level Hint 12
%level.hint 12
Yes, this one is as
easy as it looks.
But are you sure
you don't want to 
try my little MAZE?


#Level Hint 15
%level.hint 15
This is where I
keep all of the
stuff I've made out
of Lego. Enjoy!

           - Billy

#Menu
%patch 0x015F12 "About Me..."
%patch 0x015F32 "Nothing Here "
%patch 0x015F44 "Art/Other"

# Make "ordering info" have no effect. 
%patch $95A3  $EB $AD 

#About Me...
%patch 0x015F80 " %%%  %%%%%  %%%%%%%%%%  %%%      "
%patch 0x015FA8 "#I'm$#Chris$#Hendricks,[]but$    "
%patch 0x015FD0 "#I'm[]known$#by$#many$#as$    "
%patch 0x015FF8 "#ILSOAP.$           "
%patch 0x016020 " %%%  %%%%%  %%%%%  %%%%  %     "
%patch 0x016048 "#You[#might$]think[]that$#I$       "
%patch 0x016070 "#have[]too[]much$#time$   "
%patch 0x016098 "#on$#my$#hands.$       "
%patch 0x0160C0 " %%%%%  %%  %%%%%%           "
%patch 0x0160E8 "#You'd$#be$#right.$              "
%patch 0x016110 "                         "

#Loading...
%patch 0x014F1D "Loading Lego Keen... (version 1.1 12/18/03)           "

#Ship Parts Missing
%patch 0x01659B "Still need to find  "
%patch 0x0165B0 "these gems:"
%patch 0x0165C6 "HOP TO IT!  "

# Level on which vorticon commander appears 
#%patch $1813  $06    # This line is not commented in the original Lego Keen patching...

# leaves 257 spare bytes at CS:10B3
# leaves 164 spare bytes at DS:1E02 ($14E52)

# Patch in the long-integer drawing function
%patch $11B4                   $55 $89 $E5 $B8 $0A $00 $50 $B8 $90 $82 $50 $FF
               $76 $06 $FF $76 $04 $E8 $03 $C2 $83 $C4 $08 $B8 $90 $82 $50 $E8
               $A5 $C5 $44 $44 $8B $56 $08 $29 $C2 $89 $16 $82 $82 $8B $46 $0A
               $A3 $F8 $82 $B8 $90 $82 $50 $E8 $E8 $50 $44 $44 $89 $EC $5D $C3

# Patch in the name of the status dialog text file
%patch $13084  "STATUS.CK1" $00

# Patch in the code to draw the status text
%patch $0E6A                                           $B8 $00 $3D $BA $34 $00   # Show status window (0E6A)
               $CD $21 $89 $C3 $BF $27 $00 $C6 $06 $9A $82 $00 $B9 $0A $00 $BA
               $90 $82 $B4 $3F $CD $21 $53 $B8 $90 $82 $50 $E8 $2E $97 $44 $44
               $5B $4F $75 $E8 $B4 $3E $CD $21
                                               $8B $46 $FE $05 $02 $00 $50 $89   # Show score (0E98)
               $F0 $05 $09 $00 $50 $FF $36 $CC $AA $FF $36 $CA $AA $E8 $04 $03
               $83 $C4 $08
                           $8B $46 $FE $05 $05 $00 $50 $89 $F0 $05 $09 $00 $50   # Show extra Keen score (0EB3)
               $A1 $C4 $6E $8B $16 $C2 $6E $81 $C2 $20 $4E $15 $00 $00 $50 $52
               $E8 $E1 $02 $83 $C4 $08
                                       $31 $FF $3B $3E $C6 $AA $7D $29 $83 $FF   # Show Keens (0ED6)
               $07 $7D $24 $B8 $00 $00 $50 $8B $46 $FE $05 $09 $00 $B1 $03 $D3
               $E0 $48 $48 $50 $89 $F8 $D1 $E0 $05 $02 $00 $01 $F0 $50 $E8 $2C
               $AC $83 $C4 $06 $47 $EB $D1
%patch $0F07                               $B8 $41 $01 $83 $3E $94 $AA $00 $74   # Draw the joystick
               $03 $B8 $C0 $01 $50 $8B $46 $FE $05 $02 $00 $B1 $03 $D3 $E0 $05
               $02 $00 $50 $89 $F0 $05 $13 $00 $50 $E8 $0D $AA $83 $C4 $06
                                                                           $B8   # Draw the battery
               $42 $01 $83 $3E $9C $AA $00 $74 $03 $B8 $C1 $01 $50 $8B $46 $FE
               $05 $04 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $13 $00
               $50 $E8 $E5 $A9 $83 $C4 $06
                                           $B8 $43 $01 $83 $3E $96 $AA $00 $74   # Draw the vacuum
               $03 $B8 $C2 $01 $50 $8B $46 $FE $05 $06 $00 $B1 $03 $D3 $E0 $05
               $06 $00 $50 $89 $F0 $05 $13 $00 $50 $E8 $BD $A9 $83 $C4 $06
                                                                           $B8   # Draw the whiskey
               $44 $01 $83 $3E $98 $AA $00 $74 $03 $B8 $C3 $01 $50 $8B $46 $FE
               $05 $08 $00 $B1 $03 $D3 $E0 $05 $08 $00 $50 $89 $F0 $05 $13 $00
               $50 $E8 $95 $A9 $83 $C4 $06
%patch $0FA7                               $B8 $81 $00 $83 $3E $9E $AA $00 $74   # Keycard A
               $03 $B8 $A8 $01 $50 $8B $46 $FE $05 $02 $00 $B1 $03 $D3 $E0 $05
               $02 $00 $50 $89 $F0 $05 $18 $00 $50 $E8 $6D $A9 $83 $C4 $06
                                                                           $B8   # Keycard B
               $81 $00 $83 $3E $A0 $AA $00 $74 $03 $B8 $A9 $01 $50 $8B $46 $FE
               $05 $04 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $18 $00
               $50 $E8 $45 $A9 $83 $C4 $06
                                           $B8 $81 $00 $83 $3E $A2 $AA $00 $74   # Keycard C
               $03 $B8 $AA $01 $50 $8B $46 $FE $05 $06 $00 $B1 $03 $D3 $E0 $05
               $06 $00 $50 $89 $F0 $05 $18 $00 $50 $E8 $1D $A9 $83 $C4 $06
                                                                           $B8   # Keycard D
               $81 $00 $83 $3E $A4 $AA $00 $74 $03 $B8 $AB $01 $50 $8B $46 $FE
               $05 $08 $00 $B1 $03 $D3 $E0 $05 $08 $00 $50 $89 $F0 $05 $18 $00
               $50 $E8 $F5 $A8 $83 $C4 $06
%patch $1047                               $B8 $81 $00 $83 $3E $9A $AA $00 $74   # Pogo stick
               $03 $B8 $9F $01 $50 $8B $46 $FE $05 $05 $00 $B1 $03 $D3 $E0 $05
               $00 $00 $50 $89 $F0 $05 $0D $00 $50 $E8 $CD $A8 $83 $C4 $06
                                                                           $8B   # Draw ammo
               $46 $FE $05 $02 $00 $50 $89 $F0 $05 $10 $00 $50 $31 $C0 $50 $FF
               $36 $C8 $AA $E8 $2E $01 $83 $C4 $08
                                                   $E8 $AE $4B $31 $C0 $50 $E8   # Wait for a key, then return
               $3C $AD $44 $44 $E8 $9F $A6 $E8 $EF $F1 $E8 $EC $F1 $E8 $9A $4B
               $8B $46 $FC $8B $56 $FA $89 $16 $35 $51 $A3 $37 $51 $5F $5E $89
               $EC $5D $C3

#Finale
%patch 0x015C24 "Captain Keen takes the four gems   "
%patch 0x015C49 "and unlocks the door holding the "
%patch 0x015C6C "Princess prisoner. They return to  "
%patch 0x015C91 "the ship and fly to the castle."

# First dialogue box at home
%patch 0x015CBD "Boy, it's hard to find"
%patch 0x015CD5 "a parking spot in "
%patch 0x015CE9 "this place.      "

%patch 0x015CFB "That's for rescuing"
%patch 0x015D10 "me, Captain Keen.  "
%patch 0x015D25 "Tee hee!  "

%patch 0x015D30 "I appreciate it, but,"
#Text jump
%patch 0x015D47 "UGGH!! COOTIES!! I   "
%patch 0x015D5E "HATE COOTIES!! GET "
%patch 0x015D73 "THEM OFF!!!"

%patch 0x015D80 "Aw, aren't you  "
%patch 0x015D92 "sweet!   "

%patch 0x015D9C "Seriously, if you keep"
%patch 0x015DB4 "doing that, my face "
%patch 0x015DCA "will probably melt off."

%patch 0x015DE2 "Fine, I'll stop.   "

%patch 0x015DF6 "Thank you.      "

%patch 0x015E07 "HEY!!! Didn't we just"
%patch 0x015E1E "discuss this?          "
%patch 0x015E37 "                   "
%patch 0x015E4C "You're so cute when  "
%patch 0x015E63 "you're angry. "

%patch $15E72 "     THE END!!!    " 

# Show only 6 items in the high score menu 
%patch $9A18   $05 

# Show the score with white background 
%patch $99FA   $E8 $D5 $C8        # CALL    62D2 

# Show the name with white background 
%patch $9A10   $E8 $BF $C8        # CALL    62D2 


%end